Bug 203512

Summary: usr/src/sys/dev/asmc/asmc.c:882: possible typo ?
Product: Base System Reporter: David Binderman <dcb314>
Component: miscAssignee: freebsd-bugs (Nobody) <bugs>
Status: Closed FIXED    
Severity: Affects Only Me CC: johalun0, pi
Priority: --- Keywords: patch
Version: CURRENT   
Hardware: Any   
OS: Any   

Description David Binderman 2015-10-02 19:16:04 UTC
[usr/src/sys/dev/asmc/asmc.c:882]: (error) Buffer is accessed out of bounds: buf2

    snprintf(buf2, sizeof(buf), " %02x", v[i]);

maybe

    snprintf(buf2, sizeof(buf2), " %02x", v[i]);
Comment 1 commit-hook freebsd_committer 2016-05-02 19:15:40 UTC
A commit references this bug:

Author: adrian
Date: Mon May  2 19:15:17 UTC 2016
New revision: 298937
URL: https://svnweb.freebsd.org/changeset/base/298937

Log:
  [asmc] add support for more models and restore keyboard backlight after resume.

  This patch adds support for restoring backlight after resume and adds models
  Macbook3,1
  MacbookAir5,1
  MacbookAir5,2

  It also incorporates fixes for bug #175260, bug #203610 and bug #203512
  so those can be closed if this patch is applied.

  PR:		kern/209156
  PR: kern/175260
  PR: kern/203610
  PR: kern/203512
  Submitted by:	Johannes Lundberg <johannes@brilliantservice.co.jp>

Changes:
  head/sys/dev/asmc/asmc.c
  head/sys/dev/asmc/asmcvar.h
Comment 2 Johannes Lundberg 2016-08-24 17:06:57 UTC
Committed - fixed. 
Please close.